## org.eclipse.amp.axf.space
Interface ILocation1D

All Superinterfaces:
  ILocation

All Known Subinterfaces:
  ILocation2D, ILocation3D

All Known Implementing Classes:
  Location1DDoubleAdapter, Location1DIntegerAdapter, Location2DDoubleAdapter, Location2DIntegerAdapter, Location3DDoubleAdapter, Location3DIntegerAdapter

    public interface ILocation1D

extends ILocation

Provides all castings. It is up to implementor to decide how to coerce values, but all values must be legal. It is not required that the Integer values map directly to doubles, just that any mapping be consistent across the entire scape. For example, a very precise double provider might choose instead to scale up integer values to an appropriate level of granularity.

Author:
  mparker

Field Summary

Fields inherited from interface org.eclipse.amp.axf.space.ILocation
`NOT_LOCATED`

Method Summary
`java.lang.Object` `getX()`
`double` `getXDouble()`
`int` `getXInteger()`

Method Detail

### getX

    java.lang.Object getX()

### getXInteger

    int getXInteger()

### getXDouble

    double getXDouble()